# Generated by Django 2.2 on 2020-08-26 19:24

from django.db import migrations, models
import django.db.models.deletion
import vat.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='ActivityTaxModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('activity', models.CharField(max_length=100)),
                ('rate', models.FloatField()),
                ('turnover', models.FloatField()),
            ],
        ),
        migrations.CreateModel(
            name='CompanyModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('uid', vat.fields.VATField(help_text='If your are a company based in Switzerland, enter your IDE number. (e.g CHE-123.456.789)', max_length=15, verbose_name='VAT No.', unique=True)),
                ('name', models.CharField(help_text='Registered company name', max_length=255, verbose_name='Organisation name')),
                ('juridical_form', models.CharField(choices=[('IND', 'Independent'), ('SARL', 'Gmbh'), ('SA', 'AG')], default='IND', max_length=4)),
            ],
        ),
        migrations.CreateModel(
            name='CompilationCompensationExportModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
        ),
        migrations.CreateModel(
            name='CompilationDeemedInputTaxDeductionModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
        ),
        migrations.CreateModel(
            name='CompilationMarginTaxationModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
        ),
        migrations.CreateModel(
            name='EffectiveReportingMethodModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('gross_or_net', models.IntegerField(choices=[(1, 'Net'), (2, 'Gross')], default=1)),
                ('opted', models.FloatField(blank=True)),
                ('input_tax_material_and_services', models.FloatField(blank=True)),
                ('input_tax_investments', models.FloatField(blank=True)),
                ('subsequent_input_tax_deduction', models.FloatField(blank=True)),
                ('input_tax_correction', models.FloatField(blank=True)),
                ('input_tax_reduction', models.FloatField(blank=True)),
            ],
        ),
        migrations.CreateModel(
            name='FlatTaxRateMethodModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('compensation_export', models.FloatField(blank=True)),
                ('deemed_input_tax_deduction', models.FloatField(blank=True)),
                ('margin_taxation', models.FloatField(blank=True)),
            ],
        ),
        migrations.CreateModel(
            name='GeneralInformaitonModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_created', models.DateTimeField(auto_now_add=True)),
                ('date_report_from', models.DateField(help_text='Start of the accounting period.')),
                ('date_report_till', models.DateField(help_text='End of the accounting period.')),
                ('submission_type', models.IntegerField(choices=[(1, 'First deposit'), (2, 'Amending statement'), (3, 'Annual concordance')], default=1)),
                ('report_form', models.IntegerField(choices=[(1, 'Agreed'), (2, 'Received')], default=1)),
                ('business_ref_id', models.CharField(help_text='This is your unique reference for this statement.', max_length=50, verbose_name='Case file ID')),
                ('company', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='vat.CompanyModel')),
            ],
        ),
        migrations.CreateModel(
            name='NetTaxRateMethodModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('compensation_export', models.FloatField(blank=True)),
                ('deemed_input_tax_deduction', models.FloatField(blank=True)),
                ('margin_taxation', models.FloatField(blank=True)),
            ],
        ),
        migrations.CreateModel(
            name='OtherFlowsOfFundsModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('subsidies', models.FloatField(blank=True)),
                ('donations', models.FloatField(blank=True)),
            ],
        ),
        migrations.CreateModel(
            name='TaxModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('rate', models.FloatField()),
                ('turnover', models.FloatField()),
            ],
        ),
        migrations.CreateModel(
            name='TurnoverComputationModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('total_consideration', models.FloatField(help_text='Total consideration')),
                ('supplies_foreign', models.FloatField(blank=True, help_text='Supplies to foreign countries')),
                ('supplies_abroad', models.FloatField(blank=True, help_text='Supplies abroad.')),
                ('transfer_notification_procedure', models.FloatField(blank=True)),
                ('supplies_tax_exempt', models.FloatField(blank=True)),
                ('reduction_consideration', models.FloatField(blank=True)),
            ],
        ),
        migrations.CreateModel(
            name='VariousDeductionModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('amount', models.FloatField()),
                ('description', models.CharField(max_length=50, verbose_name='Deduction description')),
            ],
        ),
        migrations.CreateModel(
            name='VerificationCompensationExportModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('invoice_number', models.CharField(max_length=80, verbose_name='Client invoice No.')),
                ('invoice_date', models.DateField()),
                ('type_of_service', models.CharField(help_text='Type of object or service.', max_length=100, verbose_name='Type of serice')),
                ('tax_rate', models.FloatField()),
                ('turnover', models.FloatField(help_text='This must always be a gross number.', verbose_name='Turnover')),
            ],
        ),
        migrations.CreateModel(
            name='VerificationMarginTaxationModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('margin_and_tax_rate', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='verification_margin_taxation_margin_and_tax_rate', to='vat.TaxModel')),
                ('turnover_and_tax_rate', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='verification_margin_taxation_turnover_and_tax_rate', to='vat.TaxModel')),
            ],
        ),
        migrations.CreateModel(
            name='VerificationDeemedInputTaxDeductionModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('margin_and_tax_rate', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='verification_deemed_input_tax_deduciton_margin_and_tax_rate', to='vat.TaxModel')),
                ('turnover_and_tax_rate', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='verification_deemed_input_tax_deduciton_turnover_and_tax_rate', to='vat.TaxModel')),
            ],
        ),
        migrations.CreateModel(
            name='VatStatementModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('payable_tax', models.FloatField()),
                ('effective_reporting_method', models.ForeignKey(blank=True, on_delete=django.db.models.deletion.CASCADE, to='vat.EffectiveReportingMethodModel')),
                ('flat_tax_rate_method', models.ForeignKey(blank=True, on_delete=django.db.models.deletion.CASCADE, to='vat.FlatTaxRateMethodModel')),
                ('general_information', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='vat.GeneralInformaitonModel')),
                ('net_tax_rate_method', models.ForeignKey(blank=True, on_delete=django.db.models.deletion.CASCADE, to='vat.NetTaxRateMethodModel')),
                ('other_flows_of_funds', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='vat.OtherFlowsOfFundsModel')),
                ('turnover_computation', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='vat.TurnoverComputationModel')),
            ],
        ),
        migrations.AddField(
            model_name='turnovercomputationmodel',
            name='various_deduction',
            field=models.ManyToManyField(blank=True, to='vat.VariousDeductionModel'),
        ),
        migrations.AddField(
            model_name='nettaxratemethodmodel',
            name='acquisition_tax',
            field=models.ManyToManyField(blank=True, related_name='net_tax_acquisition_tax', to='vat.TaxModel'),
        ),
        migrations.AddField(
            model_name='nettaxratemethodmodel',
            name='compilation_compensation_export',
            field=models.ForeignKey(blank=True, on_delete=django.db.models.deletion.CASCADE, related_name='net_tax_compilation_compensation_export', to='vat.CompilationCompensationExportModel'),
        ),
        migrations.AddField(
            model_name='nettaxratemethodmodel',
            name='compilation_deemed_input_tax_deduction',
            field=models.ForeignKey(blank=True, on_delete=django.db.models.deletion.CASCADE, related_name='net_tax_compilation_deemed_input_tax_deduction', to='vat.CompilationDeemedInputTaxDeductionModel'),
        ),
        migrations.AddField(
            model_name='nettaxratemethodmodel',
            name='compilation_margin_taxation',
            field=models.ForeignKey(blank=True, on_delete=django.db.models.deletion.CASCADE, related_name='net_tax_compilation_margin_taxation', to='vat.CompilationMarginTaxationModel'),
        ),
        migrations.AddField(
            model_name='nettaxratemethodmodel',
            name='supplies_per_tax_rate',
            field=models.ManyToManyField(blank=True, related_name='net_tax_supplies_per_tax_rate', to='vat.TaxModel'),
        ),
        migrations.AddField(
            model_name='flattaxratemethodmodel',
            name='acquisition_tax',
            field=models.ManyToManyField(blank=True, related_name='flat_tax_acquisition_tax', to='vat.TaxModel'),
        ),
        migrations.AddField(
            model_name='flattaxratemethodmodel',
            name='compilation_compensation_export',
            field=models.ForeignKey(blank=True, on_delete=django.db.models.deletion.CASCADE, related_name='flat_tax_compilation_compensation_export', to='vat.CompilationCompensationExportModel'),
        ),
        migrations.AddField(
            model_name='flattaxratemethodmodel',
            name='compilation_deemed_input_tax_deduction',
            field=models.ForeignKey(blank=True, on_delete=django.db.models.deletion.CASCADE, related_name='flat_tax_compilation_deemed_input_tax_deduction', to='vat.CompilationDeemedInputTaxDeductionModel'),
        ),
        migrations.AddField(
            model_name='flattaxratemethodmodel',
            name='compilation_margin_taxation',
            field=models.ForeignKey(blank=True, on_delete=django.db.models.deletion.CASCADE, related_name='flat_tax_compilation_margin_taxation', to='vat.CompilationMarginTaxationModel'),
        ),
        migrations.AddField(
            model_name='flattaxratemethodmodel',
            name='supplies_per_tax_rate',
            field=models.ManyToManyField(blank=True, related_name='flat_tax_supplies_per_tax_rate', to='vat.ActivityTaxModel'),
        ),
        migrations.AddField(
            model_name='effectivereportingmethodmodel',
            name='acquisition_tax',
            field=models.ManyToManyField(blank=True, related_name='effective_acquisition_tax', to='vat.TaxModel'),
        ),
        migrations.AddField(
            model_name='effectivereportingmethodmodel',
            name='supplies_per_tax_rate',
            field=models.ManyToManyField(blank=True, related_name='effective_supplies_per_tax_rate', to='vat.TaxModel'),
        ),
        migrations.AddField(
            model_name='compilationmargintaxationmodel',
            name='verification_margin_taxation',
            field=models.ManyToManyField(related_name='verification_margin_taxation', to='vat.VerificationMarginTaxationModel'),
        ),
        migrations.AddField(
            model_name='compilationdeemedinputtaxdeductionmodel',
            name='verification_deemed_input_tax_deduction',
            field=models.ManyToManyField(related_name='verification_deemed_input_tax_deduction', to='vat.VerificationDeemedInputTaxDeductionModel'),
        ),
        migrations.AddField(
            model_name='compilationcompensationexportmodel',
            name='verification_compensation_export',
            field=models.ManyToManyField(related_name='verification_compensation_export', to='vat.VerificationCompensationExportModel'),
        ),
    ]
